Package org.springframework.ui.freemarker

# Class FreeMarkerTemplateUtils

java.lang.Object
org.springframework.ui.freemarker.FreeMarkerTemplateUtils

public abstract class FreeMarkerTemplateUtils extends Object
Utility class for working with FreeMarker.

Provides convenience methods to process a FreeMarker template with a model.

Since:
  14.03.2004
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`FreeMarkerTemplateUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`processTemplateIntoString(freemarker.template.Template template, Object model)`
Process the specified FreeMarker template with the given model and write the result to a String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FreeMarkerTemplateUtils

public FreeMarkerTemplateUtils()

## Method Details

### processTemplateIntoString

public static String processTemplateIntoString(freemarker.template.Template template, Object model) throws IOException, freemarker.template.TemplateException
Process the specified FreeMarker template with the given model and write the result to a String.

When using this method to prepare text for a mail to be sent with Spring's mail support, consider wrapping IO/TemplateException in MailPreparationException.

Parameters:
  `model` - the model object, typically a Map that contains model names as keys and model objects as values
Returns:
  the result as a String
Throws:
  `IOException` - if the template wasn't found or couldn't be read
  `freemarker.template.TemplateException` - if rendering failed
See Also:
  - `MailPreparationException`